Page MenuHomePhabricator

Replace deployment-mediawiki-parsoid10 with a "purer" deployment-parsoid11 box
Closed, ResolvedPublic

Description

Let's make this identical to production wtp* boxes as much as possible.

See T236275#5621970 and T246833.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2020, 1:09 AM

Change 576493 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] add hiera keys for parsoid-php on deployment-parsoid11

https://gerrit.wikimedia.org/r/576493

Mentioned in SAL (#wikimedia-releng) [2020-03-04T01:34:48Z] <James_F> Beta Cluster: Created deployment-parsoid11 in Horizon T246854 to test 576493.

Change 576898 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] cloud: add parsoid cluster in cloud Hiera

https://gerrit.wikimedia.org/r/576898

Change 576898 merged by Dzahn:
[operations/puppet@production] cloud: add parsoid cluster in cloud Hiera

https://gerrit.wikimedia.org/r/576898

Dzahn added a subscriber: Dzahn.Mar 4 2020, 6:04 PM

@Jdforrester-WMF Merged on prod master, it should find the cluster now.

ssastry moved this task from Needs Triage to Testing on the Parsoid board.Mar 5 2020, 11:05 PM
ssastry triaged this task as High priority.Mar 8 2020, 1:00 AM

This box has Parsoid/JS enabled. The puppet package corresponding to Parsoid/JS should probably be disabled to uninstall Parsoid/JS.

This box has Parsoid/JS enabled. The puppet package corresponding to Parsoid/JS should probably be disabled to uninstall Parsoid/JS.

There isn't a "puppet package corresponding to Parsoid/JS". There's only one package, Parsoid. I don't see how to switch off the JS. It probably needs the puppet package being re-written?

I see. I suppose when the production puppet package is updated, this will happen as well. Looks like this isn't interfering with Parsoid/PHP in any case. Just need to make sure there are no port conflicts - one of the issues encountered in T231569.

I see. I suppose when the production puppet package is updated, this will happen as well.

Yes! I was thinking that this would be a good test target for the puppet work to de-JS-ify the production Parsoid servers.

Looks like this isn't interfering with Parsoid/PHP in any case. Just need to make sure there are no port conflicts - one of the issues encountered in T231569.

Agreed.

cscott added a subscriber: cscott.Mar 11 2020, 4:58 PM

I see. I suppose when the production puppet package is updated, this will happen as well.

Yes! I was thinking that this would be a good test target for the puppet work to de-JS-ify the production Parsoid servers.

I started working on this in https://gerrit.wikimedia.org/r/577044 but the tendrils are deep. It's probably a good idea to try to tackle one small piece at a time, if we can. Doing beta is perhaps a good first step.

Agreed.

@Jdforrester-WMF I'm leaving this task open until you decommission parsoid10, but as far as I can tell nothing should be using parsoid10 now. (https://gerrit.wikimedia.org/r/579018 points to parsoid09 though!)

Mentioned in SAL (#wikimedia-releng) [2020-03-12T00:34:15Z] <James_F> Shutting down deployment-mediawiki-parsoid10 ahead of its removal T246854

Mentioned in SAL (#wikimedia-releng) [2020-03-12T09:38:54Z] <hashar> https://integration.wikimedia.org/ci/job/beta-scap-eqiad/ broken cause it can not ssh to deployment-parsoid11.deployment-prep.eqiad.wmflabs # T246854

Change 579233 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] beta: pull out deployment-parsoid11

https://gerrit.wikimedia.org/r/579233

Change 579233 abandoned by Hashar:
beta: pull out deployment-parsoid11

Reason:
Thx Krenair. role::beta::mediawiki was the class I was looking for :))))

https://gerrit.wikimedia.org/r/579233

Change 576493 merged by Dzahn:
[operations/puppet@production] add hiera keys for parsoid-php on deployment-parsoid11

https://gerrit.wikimedia.org/r/576493

Change 579650 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[operations/puppet@production] Follow-up Ice6a9431: Fix filename of deployment-parsoid11 hieradata

https://gerrit.wikimedia.org/r/579650

Change 579650 merged by Dzahn:
[operations/puppet@production] Follow-up Ice6a9431: Fix filename of deployment-parsoid11 hieradata

https://gerrit.wikimedia.org/r/579650